# SetStatement

## `SetStatement`

A SetStatement sets an object property to a computed value.

syntax: `notify set name : type := expression;`

If `notify` is specified, execution defines the property as ready enabling mappings whose ObservableStatements are waiting for the value to resume.

conformsTo `ObservableStatement`

Attributes

`isNotify : Boolean[?]`

`isOpposite : Boolean[?]`

Associations

`ownedExpression : OCLExpression[1]`

`targetProperty : Property[1]`

`targetVariable : VariableDeclaration[1]`